{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <link rel="apple-touch-icon" sizes="76x76" href= {% static '/assets/img/apple-icon.png' %}>
    <link rel="icon" type="image/png" href={% static '/assets/img/favicon.png' %}>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <title>
        Solusi Consulting
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no'
          name='viewport'/>

    <!--     Fonts and icons     -->
    <link rel="stylesheet" type="text/css"
          href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">

    {% block css %}

    {% endblock %}

    <!-- CSS Files -->
    <link href="{% static '/assets/css/material-dashboard.css' %}" rel="stylesheet"/>

    <!-- CSS Just for demo purpose, don't include it in your project -->
    <link href="{% static '/assets/demo/demo.css' %}" rel="stylesheet"/>

</head>

<body class="">
<div class="wrapper">
    <div class="sidebar" data-color="danger" data-background-color="black"
         data-image={% static '/assets/img/sidebar-1.jpg' %}>

        <div class="logo">
            <a href="http://www.creative-tim.com" class="simple-text logo-normal">
                SOLUSI CONSULTING
            </a>
        </div>
        <div class="sidebar-wrapper">
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'admin' %}">
                        <i class="material-icons">dashboard</i>
                        <p>Home</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'client' %}">
                        <i class="material-icons">person</i>
                        <p>Clients</p>
                    </a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="{% url 'admin_consultation' %}">
                        <i class="material-icons">content_paste</i>
                        <p>Consultation</p>
                    </a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="{% url 'admin_training' %}">
                        <i class="material-icons">library_books</i>
                        <p>Training</p>
                    </a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="{% url 'admin_gallery' %}">
                        <i class="material-icons">bubble_chart</i>
                        <p>Gallery</p>
                    </a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="{% url 'admin_about' %}">
                        <i class="material-icons">bubble_chart</i>
                        <p>About</p>
                    </a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="{% url 'message' %}">
                        <i class="material-icons">location_ons</i>
                        <p>Message</p>
                    </a>
                </li>
            </ul>
        </div>
    </div>

    {% block content %}

    {% endblock %}

    <footer class="footer">
        <div class="container-fluid">
            <div class="copyright float-right">
                &copy;
                <script>
                    document.write(new Date().getFullYear())
                </script>
                , made with <i class="material-icons">favorite</i> by
                <a href="#" target="_blank">Cansky Studio</a> for a better
                web.
            </div>
        </div>
    </footer>
</div>
</div>

<!--   Core JS Files   -->
<script src={% static '/assets/js/core/jquery.min.js' %}  type="text/javascript"></script>
<script src={% static '/assets/js/core/popper.min.js' %}  type="text/javascript"></script>
<script src={% static '/assets/js/core/bootstrap-material-design.min.js' %}  type="text/javascript"></script>
<script src={% static '/assets/js/plugins/perfect-scrollbar.jquery.min.js' %}></script>

{% block js %}

{% endblock %}


<!-- Chartist JS -->
<script src={% static '/assets/js/plugins/chartist.min.js' %}></script>

<!--  Notifications Plugin    -->
<script src={% static '/assets/js/plugins/bootstrap-notify.js' %}></script>

<!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
<script src="{% static 'assets/js/material-dashboard.min.js' %}" type="text/javascript"></script>

<!-- Material Dashboard DEMO methods, don't include it in your project! -->
<script src={% static '/assets/demo/demo.js' %}></script>
<script>
    $(document).ready(function () {
        // Javascript method's body can be found in assets/js/demos.js
        md.initDashboardPageCharts();

    });

    function bs_input_file() {
        $(".input-file").before(
            function () {
                if (!$(this).prev().hasClass('input-ghost')) {
                    var element = $("<input name='clientImg' type='file' class='input-ghost' style='visibility:hidden; height:0'>");
                    element.attr("name", $(this).attr("name"));
                    element.change(function () {
                        element.next(element).find('input').val((element.val()).split('\\').pop());
                    });
                    $(this).find("button.btn-choose").click(function () {
                        element.click();
                    });
                    $(this).find("button.btn-reset").click(function () {
                        element.val(null);
                        $(this).parents(".input-file").find('input').val('');
                    });
                    $(this).find('input').css("cursor", "pointer");
                    $(this).find('input').mousedown(function () {
                        $(this).parents('.input-file').prev().click();
                        return false;
                    });
                    return element;
                }
            }
        );
    }

    $(function () {
        bs_input_file();
    });
</script>
</body>
</html>